Subject: bug#28625: [PROPOSED] Speed up (format "%s" STRING) and the like

From: John Wiegley <[email-masked]>
Date: Wed, 27 Sep 2017 13:00:08 -0700

>>>>> "PE" == Paul Eggert <[email-masked]> writes:

PE> Although the Lisp manual said that ‘format’ returns a newly-allocated
PE> string, this was not true for a few cases like (format "%s" ""), and
PE> fixing the documentation to allow reuse of arguments lets us improve
PE> performance in common cases like (format "foo") and (format "%s" "foo").

Is the performance gain worth the change?

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2